petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSeqAIJSetColumnIndices

Set the column indices for all the rows in the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJSetColumnIndices(Mat mat,PetscInt *indices)

### Input Parameters

| mat | - the SeqAIJ matrix Many br
| indices | - the column indices Many br

Many br

### Notes

This can be called if you have precomputed the nonzero structure of the Many brmatrix and want to provide it to the matrix object to improve the performance Many brof the MatSetValues() operation. Many br

You MUST have set the correct numbers of nonzeros per row in the call to Many brMatCreateSeqAIJ(), and the columns indices MUST be sorted. Many br

MUST be called before any calls to MatSetValues(); Many br

The indices should start with zero, not one. Many br

Level:advanced
Location:src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages